## org.springframework.aop.aspectj
Interface InstantiationModelAwarePointcutAdvisor

All Superinterfaces:
  Advisor, PointcutAdvisor

    public interface InstantiationModelAwarePointcutAdvisor

extends PointcutAdvisor

Interface to be implemented by Spring AOP Advisors wrapping AspectJ aspects that may have a lazy initialization strategy. For example, a perThis instantiation model would mean lazy initialization of the advice.

Since:
  2.0
Author:
  Rod Johnson, Juergen Hoeller

Method Summary
`boolean` `isAdviceInstantiated()` Return whether this advisor has already instantiated its advice.
`boolean` `isLazy()` Return whether this advisor is lazily initializing its underlying advice.

Methods inherited from interface org.springframework.aop.PointcutAdvisor
`getPointcut`

Methods inherited from interface org.springframework.aop.Advisor
`getAdvice, isPerInstance`

Method Detail

### isLazy

    boolean isLazy()

  Return whether this advisor is lazily initializing its underlying advice.

### isAdviceInstantiated

    boolean isAdviceInstantiated()

  Return whether this advisor has already instantiated its advice.